-- Create syntax for TABLE '#__spproperty_agents'
CREATE TABLE IF NOT EXISTS `#__spproperty_agents` (
  `spproperty_agent_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `slug` varchar(55) NOT NULL DEFAULT '',
  `designation` varchar(100) NOT NULL DEFAULT '',
  `phone` varchar(255) DEFAULT NULL,
  `mobile` varchar(255) DEFAULT NULL,
  `skype` varchar(255) DEFAULT '',
  `email` varchar(255) DEFAULT NULL,
  `image` text,
  `description` text,
  `facebook` varchar(255) DEFAULT NULL,
  `twitter` varchar(255) DEFAULT NULL,
  `linkedin` varchar(255) DEFAULT NULL,
  `gplus` varchar(255) DEFAULT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `language` varchar(255) NOT NULL DEFAULT '*',
  `access` int(5) NOT NULL DEFAULT '1',
  `ordering` int(10) NOT NULL DEFAULT '0',
  `created_by` bigint(20) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` bigint(20) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` bigint(20) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`spproperty_agent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

-- Create syntax for TABLE '#__spproperty_visitrequests'
CREATE TABLE IF NOT EXISTS `#__spproperty_visitrequests` (
  `spproperty_visitrequest_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `spproperty_property_id` bigint(20) NOT NULL,
  `userid` bigint(20) NOT NULL,
  `customer_name` varchar(255) NOT NULL DEFAULT '',
  `customer_email` varchar(255) DEFAULT NULL,
  `customer_phone` varchar(255) DEFAULT NULL,
  `customer_comments` varchar(255) DEFAULT NULL,
  `visitor_ip` varchar(50) DEFAULT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `language` varchar(255) NOT NULL DEFAULT '*',
  `access` int(5) NOT NULL DEFAULT '1',
  `ordering` int(10) NOT NULL DEFAULT '0',
  `created_by` bigint(20) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` bigint(20) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` bigint(20) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`spproperty_visitrequest_id`)
) ENGINE=InnoDB AUTO_INCREMENT=71 DEFAULT CHARSET=utf8;

-- Create syntax for TABLE '#__spproperty_categories'
CREATE TABLE IF NOT EXISTS `#__spproperty_categories` (
  `spproperty_category_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `slug` varchar(55) NOT NULL DEFAULT '',
  `icon_image` tinyint(1) NOT NULL,
  `image` text,
  `icon` varchar(255) DEFAULT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `language` varchar(255) NOT NULL DEFAULT '*',
  `access` int(5) NOT NULL DEFAULT '1',
  `ordering` int(10) NOT NULL DEFAULT '0',
  `created_by` bigint(20) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` bigint(20) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` bigint(20) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`spproperty_category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

-- Create syntax for TABLE '#__spproperty_properties'
CREATE TABLE IF NOT EXISTS `#__spproperty_properties` (
  `spproperty_property_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `slug` varchar(55) NOT NULL DEFAULT '',
  `spproperty_category_id` bigint(20) NOT NULL,
  `featured` tinyint(1) DEFAULT NULL,
  `features_text` text,
  `description` text,
  `image` text,
  `gallery` text,
  `property_status` varchar(50) DEFAULT NULL,
  `price` int(50) DEFAULT NULL,
  `spproperty_agent_id` bigint(20) DEFAULT NULL,
  `country` varchar(50) DEFAULT NULL,
  `city` varchar(155) DEFAULT NULL,
  `address` text,
  `map` text,
  `zip` varchar(50) DEFAULT '',
  `psize` int(20) DEFAULT NULL,
  `beds` int(5) DEFAULT NULL,
  `baths` int(5) DEFAULT NULL,
  `garages` int(5) DEFAULT NULL,
  `lvl_fltno` varchar(255) DEFAULT NULL,
  `building_year` int(10) DEFAULT NULL,
  `features` text,
  `video_text` text,
  `video` text,
  `fp_text` text,
  `floor_plans` text,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `language` varchar(255) NOT NULL DEFAULT '*',
  `access` int(5) NOT NULL DEFAULT '1',
  `ordering` int(10) NOT NULL DEFAULT '0',
  `created_by` bigint(20) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` bigint(20) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` bigint(20) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`spproperty_property_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

-- Create syntax for TABLE '#__spproperty_propertyfeatures'
CREATE TABLE IF NOT EXISTS `#__spproperty_propertyfeatures` (
  `spproperty_propertyfeature_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `slug` varchar(55) NOT NULL DEFAULT '',
  `polls` text NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `language` varchar(255) NOT NULL DEFAULT '*',
  `access` int(5) NOT NULL DEFAULT '1',
  `ordering` int(10) NOT NULL DEFAULT '0',
  `created_by` bigint(20) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` bigint(20) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `locked_by` bigint(20) NOT NULL DEFAULT '0',
  `locked_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`spproperty_propertyfeature_id`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8;